org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb

## Class RemoteNodePBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.protocolrecords.RemoteNode
  - - org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb.RemoteNodePBImpl

- All Implemented Interfaces:
    Comparable<RemoteNode>

      public class RemoteNodePBImpl
      extends RemoteNode

  Implementation of `RemoteNode`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteNodePBImpl()`
    `RemoteNodePBImpl(org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.RemoteNodeProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `String` | `getHttpAddress()` Get HTTP address.
    `org.apache.hadoop.yarn.api.records.NodeId` | `getNodeId()` Get `NodeId`.
    `String` | `getNodePartition()` Get Node Partition.
    `org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.RemoteNodeProto` | `getProto()`
    `String` | `getRackName()` Get Rack Name.
    `int` | `hashCode()`
    `void` | `setHttpAddress(String httpAddress)` Set HTTP address.
    `void` | `setNodeId(org.apache.hadoop.yarn.api.records.NodeId nodeId)` Set `NodeId`.
    `void` | `setNodePartition(String nodePartition)` Set Node Partition.
    `void` | `setRackName(String rackName)` Set Rack Name.

    - ### Methods inherited from class org.apache.hadoop.yarn.server.api.protocolrecords.RemoteNode

      `compareTo, newInstance, newInstance, newInstance, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteNodePBImpl

          public RemoteNodePBImpl()

    - #### RemoteNodePBImpl

          public RemoteNodePBImpl(org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.RemoteNodeProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnServerCommonServiceProtos.RemoteNodeProto getProto()

    - #### getNodeId

          public org.apache.hadoop.yarn.api.records.NodeId getNodeId()

      Description copied from class: `RemoteNode`
      Get `NodeId`.
      Specified by:
        `getNodeId` in class `RemoteNode`
      Returns:
        NodeId.

    - #### setNodeId

          public void setNodeId(org.apache.hadoop.yarn.api.records.NodeId nodeId)

      Description copied from class: `RemoteNode`
      Set `NodeId`.
      Specified by:
        `setNodeId` in class `RemoteNode`
      Parameters:
        `nodeId` - NodeId.

    - #### getHttpAddress

          public String getHttpAddress()

      Description copied from class: `RemoteNode`
      Get HTTP address.
      Specified by:
        `getHttpAddress` in class `RemoteNode`
      Returns:
        Http Address.

    - #### setHttpAddress

          public void setHttpAddress(String httpAddress)

      Description copied from class: `RemoteNode`
      Set HTTP address.
      Specified by:
        `setHttpAddress` in class `RemoteNode`
      Parameters:
        `httpAddress` - HTTP address.

    - #### getRackName

          public String getRackName()

      Description copied from class: `RemoteNode`
      Get Rack Name.
      Specified by:
        `getRackName` in class `RemoteNode`
      Returns:
        Rack Name.

    - #### setRackName

          public void setRackName(String rackName)

      Description copied from class: `RemoteNode`
      Set Rack Name.
      Specified by:
        `setRackName` in class `RemoteNode`
      Parameters:
        `rackName` - Rack Name.

    - #### getNodePartition

          public String getNodePartition()

      Description copied from class: `RemoteNode`
      Get Node Partition.
      Specified by:
        `getNodePartition` in class `RemoteNode`
      Returns:
        Node Partition.

    - #### setNodePartition

          public void setNodePartition(String nodePartition)

      Description copied from class: `RemoteNode`
      Set Node Partition.
      Specified by:
        `setNodePartition` in class `RemoteNode`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.